Name: jbig
Version: 1.2
Release: ipl3mdk
%define sover %(echo %version |cut -d. -f1)

Summary: The JBIG Kit
License: GPL
Group: Graphics

Source: ftp://ftp.informatik.uni-erlangen.de/pub/doc/ISO/JBIG/%{name}kit-%version.tar.bz2

Prefix: %prefix

%package -n lib%name
Summary: Shared library for JBIG
Group: System/Libraries

%package -n lib%name-devel
Summary: Header files and static library for development with JBIG
Group: Development/C
Requires: lib%name = %version

%package -n %name-utils
Summary: The JBIG utilities
License: GPL
Group: Graphics
Requires: lib%name = %version
Provides: %{name}kit = %version
Obsoletes: %{name}kit

%description
JBIG is a highly effective lossless compression algorithm for bi-level
images (one bit per pixel), which is particularly suitable for scanned
document pages.

%description -n lib%name
JBIG is a highly effective lossless compression algorithm for bi-level
images (one bit per pixel), which is particularly suitable for scanned
document pages.

This package is required for lib%name-based programs.

%description -n lib%name-devel
JBIG is a highly effective lossless compression algorithm for bi-level
images (one bit per pixel), which is particularly suitable for scanned
document pages.

This package is only needed if you plan to develop or compile
applications which requires the lib%name library.

%description -n %name-utils
JBIG is a highly effective lossless compression algorithm for bi-level
images (one bit per pixel), which is particularly suitable for scanned
document pages.

%prep
%setup -q -n %{name}kit

%build
# First, build shared library.
pushd lib%name
%make_build lib%name.a CFLAGS="$RPM_OPT_FLAGS %optflags_shared"
gcc -shared -o lib%name.so.%version -Wl,-soname=lib%name.so.%sover `ar t lib%name.a`
ln -snf lib%name.so.%version lib%name.so.%sover
ln -snf lib%name.so.%version lib%name.so
make clean
popd

# Second, build all the rest.
%make_build CCFLAGS="$RPM_OPT_FLAGS"

LD_LIBRARY_PATH=../lib%name make test
mv -f INSTALL README
mv -f lib%name/%name.doc lib%name/%name.txt

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_libdir,%_includedir,%_mandir/man1}
install -p -m755 pbmtools/{jbgtopbm,pbmtojbg} $RPM_BUILD_ROOT%_bindir
install -p -m644 pbmtools/*.1 $RPM_BUILD_ROOT%_mandir/man1
install -p -m644 lib%name/%name.h $RPM_BUILD_ROOT%_includedir
cp -a lib%name/lib%name.* $RPM_BUILD_ROOT%_libdir

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_libdir/*.*a
%_includedir/*.h
%doc lib%name/%name.txt

%files -n %name-utils
%_bindir/*
%_mandir/man1/*
%doc ANNOUNCE README TODO

%changelog
* Sat Oct 05 2002 Rider <rider@altlinux.ru> 1.2-ipl3mdk
- rebuild

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 1.2-ipl2mdk
- rebuild

* Mon Feb 19 2001 Dmitry V. Levin <ldv@fandra.org> 1.2-ipl1mdk
- Libification.
- RE adaptions.

* Tue Dec 26 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2-1mdk
- initial release for OpenDX.
